diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index ecbdd68..0a3a5ca 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -49,7 +49,7 @@ proceedings, volume 204 of Lecture Notes in Computer Science. Springer-Verlag,
 Berlin, Germany / Heidelberg, Germany / London, UK / etc., 1985,
 ISBN 0-387-15983-5 (vol. 1), 0-387-15984-3 (vol. 2) LLCN QA155.7.E4 E86 1985
 Two volumes
-\bibitem[DGDW95]{DGDW95}
+\bibitem[BGDW95]{BGDW95}
 P. A. Broadbery, T. G{\'o}mez-D{\'\i}az, and S. M. Watt
 ``On the implementation of dynamic evaluation'' In Levelt [Lev95]
 pages 77-84 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995
@@ -193,6 +193,9 @@ J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
 commutative algebra'' Technical Report TR3/92 (ATR/1)(NP2490), Numerical
 Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, December 1992. 
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Du95]{Du95}
+Duval, D. ``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''. 
+Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
 \bibitem[Fat90]{Fat90}
 R. J. Fateman ``Advances and trends in the design and construction of 
 algebraic manipulation systems'' In Watanabe and Nagata [WN90], pp60-67
@@ -569,6 +572,7 @@ Ch. Zenger. ``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
 Implementierung in AXIOM, Diplomarbeit, Universit{\"a}t Karlsruhe,
 Karlsruhe, Germany, 1992
 \end{thebibliography}
+
 \section{Axiom Citations of External Sources}
 \begin{thebibliography}{999}
 \bibitem[Lam]{Lam}
@@ -602,10 +606,37 @@ Springer, Heidelberg, 1997 ISBN 3-540-21493-3
 \bibitem[Bro98]{Bro98}
 M. Bronstein. ``The lazy hermite reduction'' Rapport de
 Recherche RR-3562, INRIA, 1998
+\bibitem[Ga95]{Ga95}
+Garcia, A. and Stichtenoth, H.
+``A tower of Artin-Schreier extensions of function fields attaining the 
+Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[Ha95]{Ha95}
+Hach\'e, G. ``Computation in algebraic function fields for effective 
+construction of algebraic-geometric codes'' 
+Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
+\bibitem[Ha96]{Ha96}
+Hach\'e, G. ``Construction effective des codes g\'eom\'etriques''
+Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
+Septembre 1996.
 \bibitem[Her1872]{Her1872}
 E. Hermite. Sur l'int\'{e}gration des fractions
 rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
+\bibitem[HI96]{HI96}
+Huang, M.D. and Ierardi, D.
+``Efficient algorithms for Riemann-Roch problem and for addition in the 
+jacobian of a curve'' 
+Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
+IEEE Comput. Soc. Press, pp. 678--687.
+\bibitem[HL95]{HL95}
+Hach\'e, G. and Le Brigand, D.
+``Effective construction of algebraic geometry codes'' 
+IEEE Transaction on Information Theory, vol. 41, n27 6, 
+November 1995, pp. 1615--1628.
+\bibitem[LR88]{LR88}
+Le Brigand, D. and Risler, J.J.
+``Algorithme de Brill-Noether et codes de Goppa''
+Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
 \bibitem[LR90]{LR90}
 Daniel Lazard and Renaud Rioboo. ``Integration of rational
 functions: Rational computation of the logarithmic part'' 
@@ -643,5 +674,8 @@ Robert Risch. ``The solution of problem of integration in finite terms''
 \bibitem[Ris79]{Ris79}
 Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
 {\sl American Journal of Mathematics}, 101:743-759, 1979
+\bibitem[St93]{St93}
+Stichtenoth, H. ``Algebraic function fields and codes''
+Springer-Verlag, 1993, University Text.
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index a1dda95..3ff9317 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100419 tpd src/axiom-website/patches.html 20100419.01.tpd.patch
+20100419 tpd books/bookvolbib Du95, Ga95, Ha95, Ha96, HI96, HL95, LR88, St93
 20100418 tpd src/axiom-website/patches.html 20100418.05.tpd.patch
 20100418 tpd books/bookvolbib add citation SDJ07
 20100418 tpd src/axiom-website/patches.html 20100418.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8c6e5b8..2132805 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2637,5 +2637,7 @@ books/bookvolbib add Axiom Bibliography book<br/>
 books/bookvol10.3 add UnivariateTaylorSeriesCZero<br/>
 <a href="patches/20100418.05.tpd.patch">20100418.05.tpd.patch</a>
 books/bookvolbib add citation SDJ07<br/>
+<a href="patches/20100419.01.tpd.patch">20100419.01.tpd.patch</a>
+books/bookvolbib Du95, Ga95, Ha95, Ha96, HI96, HL95, LR88, St93<br/>
  </body>
 </html>
